commit:     2e5f586ab91b8dc070a625e2ce0ce44a8f30a80b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  4 19:17:32 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Apr  4 19:19:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e5f586a

dev-go/goversion: Update snapshot

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-go/goversion/Manifest                         |  1 +
 dev-go/goversion/goversion-1.0.0_p20180404.ebuild | 31 +++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-go/goversion/Manifest b/dev-go/goversion/Manifest
index 7b8d1c769ae..18ec6ae1f9c 100644
--- a/dev-go/goversion/Manifest
+++ b/dev-go/goversion/Manifest
@@ -1 +1,2 @@
 DIST goversion-1.0.0_p20180403.tar.gz 8562 BLAKE2B 
937d5531ef0f4cf8d72c1fded8ae0e1c6230f87a6ebadd3444aa87875c6712ff82d12b17ce78fcd41c6e6c2e51944a3dd824dbd0ffc3d768316c0b7b4b96edb9
 SHA512 
d446ca4d7b512b6fd5e510b3a7c2c11a7c72f6e915f4dd0ad9c61f8f93359ef08ff5256133245138798df3b0a3ab6d19157ddf76ea935858ba3230653cfde7ad
+DIST goversion-1.0.0_p20180404.tar.gz 8580 BLAKE2B 
3a9f80194d022c44836bfe5e12f9ff0bc3204be236047bbb9b00147374ae65ead37087376a60509653299d46bfdbb92dc7abec547e47bbfd0855eda134f8b301
 SHA512 
a8b99d9f01ea72ebbd4dad2ea73d1d08b75b3806821cbea3fe70828d748e50f34452c980acdd48a2b5bf4bf1399a28904e80b284f465fda356f46bb9895d6c52

diff --git a/dev-go/goversion/goversion-1.0.0_p20180404.ebuild 
b/dev-go/goversion/goversion-1.0.0_p20180404.ebuild
new file mode 100644
index 00000000000..399b7e556a2
--- /dev/null
+++ b/dev-go/goversion/goversion-1.0.0_p20180404.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="rsc.io/goversion"
+
+EGIT_COMMIT="597212e462da05a7902d6cea0ec895a0d9b8b218"
+
+inherit golang-build golang-vcs-snapshot bash-completion-r1
+ARCHIVE_URI="https://github.com/rsc/goversion/archive/${EGIT_COMMIT}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Print version used to build Go executables"
+HOMEPAGE="https://github.com/rsc/goversion https://rsc.io/goversion";
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+src_compile() {
+       pushd src/${EGO_PN} || die
+       GOPATH="${S}" go build -o ${PN} . || die
+       popd || die
+}
+
+src_install() {
+       dobin src/${EGO_PN}/${PN}
+       dodoc src/${EGO_PN}/README.md
+}

Reply via email to